<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.server.front.goods.mapper.FlashSaleMapper">

    <select id="getList" resultType="com.fzm.mall.server.front.goods.model.vo.GoodsFlashVo">
        select * from goods_flash_sale a left join goods_spu b on a.goods_id = b.goods_id
        where a.merchant_id = #{merchantId}
        and a.sale_end_time &gt; #{currentTimeMillis}
        and a.sale_start_time &lt; #{currentTimeMillis}
        limit ${start},${end};
    </select>
</mapper>
